package com.ruoyi.project.training.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.training.mapper.TTrainingParticipantsMapper;
import com.ruoyi.project.training.domain.TTrainingParticipants;
import com.ruoyi.project.training.service.ITTrainingParticipantsService;

import javax.annotation.Resource;

/**
 * 人员-公司级培训关系Service业务层处理
 *
 * @author ruoyi
 * @date 2021-05-30
 */
@Service
public class TTrainingParticipantsServiceImpl implements ITTrainingParticipantsService
{
    @Resource
    private TTrainingParticipantsMapper tTrainingParticipantsMapper;

    /**
     * 查询人员-公司级培训关系
     *
     * @param id 人员-公司级培训关系ID
     * @return 人员-公司级培训关系
     */
    @Override
    public TTrainingParticipants selectTTrainingParticipantsById(Long id)
    {
        return tTrainingParticipantsMapper.selectTTrainingParticipantsById(id);
    }

    /**
     * 查询人员-公司级培训关系列表
     *
     * @param tTrainingParticipants 人员-公司级培训关系
     * @return 人员-公司级培训关系
     */
    @Override
    public List<TTrainingParticipants> selectTTrainingParticipantsList(TTrainingParticipants tTrainingParticipants)
    {
        return tTrainingParticipantsMapper.selectTTrainingParticipantsList(tTrainingParticipants);
    }

    /**
     * 新增人员-公司级培训关系
     *
     * @param tTrainingParticipants 人员-公司级培训关系
     * @return 结果
     */
    @Override
    public int insertTTrainingParticipants(TTrainingParticipants tTrainingParticipants)
    {
        return tTrainingParticipantsMapper.insertTTrainingParticipants(tTrainingParticipants);
    }

    /**
     * 修改人员-公司级培训关系
     *
     * @param tTrainingParticipants 人员-公司级培训关系
     * @return 结果
     */
    @Override
    public int updateTTrainingParticipants(TTrainingParticipants tTrainingParticipants)
    {
        return tTrainingParticipantsMapper.updateTTrainingParticipants(tTrainingParticipants);
    }

    /**
     * 批量删除人员-公司级培训关系
     *
     * @param ids 需要删除的人员-公司级培训关系ID
     * @return 结果
     */
    @Override
    public int deleteTTrainingParticipantsByIds(Long[] ids)
    {
        return tTrainingParticipantsMapper.deleteTTrainingParticipantsByIds(ids);
    }

    /**
     * 删除人员-公司级培训关系信息
     *
     * @param id 人员-公司级培训关系ID
     * @return 结果
     */
    @Override
    public int deleteTTrainingParticipantsById(Long id)
    {
        return tTrainingParticipantsMapper.deleteTTrainingParticipantsById(id);
    }

    /**
     * 删除该类公司级培训ID信息
     *
     * @param tTrainingParticipant 人员-公司级培训关系
     * @return 结果
     */
    @Override
    public int deleteTTrainingParticipantsByCompanyId(TTrainingParticipants tTrainingParticipant) {
        return tTrainingParticipantsMapper.deleteTTrainingParticipantsByCompanyId(tTrainingParticipant);
    }

    /**
     * 删除所有历史人员-公司级培训关系信息
     *
     * @return 结果
     */
    @Override
    public int deleteTTrainingParticipantsAll() {
        return tTrainingParticipantsMapper.deleteTTrainingParticipantsAll();
    }
}
